import request from '@/utils/request'

// 查询学生档案信息列表
export function listInfo(query) {
  return request({
    url: '/teacher/info/list',
    method: 'get',
    params: query
  })
}

export function jignwe(query) {
  return request({
    url: 'https://apis.map.qq.com/ws/geocoder/v1',
    method: 'get',
    params: query
  })
}

export function listInfostu(query) {
  return request({
    url: '/formal/class/noPage/list',
    method: 'get',
    params: query
  })
}

export function listInfostutwo(query) {
  return request({
    url: '/formal/class/noPage/list',
    method: 'get',
    params: query
  })
}




// 查询学生档案信息详细
export function getInfo(id) {
  return request({
    url: '/teacher/info/' + id,
    method: 'get'
  })
}

// 新增学生档案信息
export function addInfo(data) {
  return request({
    url: '/teacher/info',
    method: 'post',
    data: data
  })
}

// 修改学生档案信息
export function updateInfo(data) {
  return request({
    url: '/teacher/info/put',
    method: 'post',
    data: data
  })
}

// 删除学生档案信息
export function delInfo(id) {
  return request({
    url: '/teacher/info/delete/' + id,
    method: 'get'
  })
}
